From 7b857f6e3b84cce801afc5ef3299bcf6101858af Mon Sep 17 00:00:00 2001
From: SVN-Git Migration <python-modules-team@lists.alioth.debian.org>
Date: Thu, 8 Oct 2015 13:54:37 -0700
Subject: openal_sound_autodetect

Let OpenAL autodetect sound device.

Patch-Name: openal_sound_autodetect
---
 sound/sound.pyx | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sound/sound.pyx b/sound/sound.pyx
index eea0493..e1ac23d 100644
--- a/sound/sound.pyx
+++ b/sound/sound.pyx
@@ -70,7 +70,7 @@ cdef void _init_sound(device_names, int frequency, float reference_distance, flo
 	cdef int attrs[6]
 	if _SOUND_INITED == 0:
 		
-		_device = alcOpenDevice(PyString_AS_STRING(device_names))
+		_device = alcOpenDevice(NULL)
 		
 		if _device == NULL:
 			raise RuntimeError("Cannot create an OpenAL device!")
